curl --request PATCH \
--url https://api.meetcampfire.com/coa/api/v1/credit-memo/{id} \
--header 'Content-Type: application/json' \
--data '
{
"amount": "750.00",
"internal_message": "Adjusted credit amount per client request - approval #CM-2024-456"
}
'{
"id": "9a4bc225-ebe6-41fa-9a2f-de7947899c6c",
"number": "CM-2024-001",
"date": "2024-03-15",
"amount": "750.00",
"currency": "USD",
"exchange_rate": "1.0000",
"amount_used": "0.00",
"amount_available": "750.00",
"status": "open",
"client": {
"id": "client-uuid-123",
"name": "Acme Corporation",
"currency": "USD"
},
"entity": {
"id": "entity-uuid-456",
"name": "Tech Solutions LLC"
},
"internal_message": "Adjusted credit amount per client request - approval #CM-2024-456",
"client_message": "Credit for overpayment on Invoice #INV-2024-001",
"line_items": [
{
"id": "line-item-uuid-789",
"account": {
"id": "account-uuid-revenue",
"name": "Revenue - Software Licenses",
"code": "4001"
},
"description": "Credit for software license overpayment",
"amount": "750.00",
"department": {
"id": "dept-uuid-sales",
"name": "Sales Department"
},
"product": {
"id": "product-uuid-license",
"name": "Enterprise License"
}
}
],
"applied_payments": [],
"tags": [
"overpayment",
"software-license"
],
"contract": null,
"created_at": "2024-03-15T10:30:00Z",
"updated_at": "2024-03-16T14:22:00Z"
}Partial Update Credit Memo
Performs a partial update of an existing accounting credit memo using PATCH semantics.
This endpoint allows selective modification of credit memo fields without requiring a complete credit memo replacement. You can update specific aspects of the credit memo while leaving other fields unchanged.
Updatable Fields:
- Credit memo metadata (dates, messages, descriptions, client, entity, currency)
- Line items (amounts, accounts, descriptions, departments, products)
- Reference numbers and contract associations
- Exchange rates and currency information
- Custom fields and additional metadata
- Application status and tracking information
curl --request PATCH \
--url https://api.meetcampfire.com/coa/api/v1/credit-memo/{id} \
--header 'Content-Type: application/json' \
--data '
{
"amount": "750.00",
"internal_message": "Adjusted credit amount per client request - approval #CM-2024-456"
}
'{
"id": "9a4bc225-ebe6-41fa-9a2f-de7947899c6c",
"number": "CM-2024-001",
"date": "2024-03-15",
"amount": "750.00",
"currency": "USD",
"exchange_rate": "1.0000",
"amount_used": "0.00",
"amount_available": "750.00",
"status": "open",
"client": {
"id": "client-uuid-123",
"name": "Acme Corporation",
"currency": "USD"
},
"entity": {
"id": "entity-uuid-456",
"name": "Tech Solutions LLC"
},
"internal_message": "Adjusted credit amount per client request - approval #CM-2024-456",
"client_message": "Credit for overpayment on Invoice #INV-2024-001",
"line_items": [
{
"id": "line-item-uuid-789",
"account": {
"id": "account-uuid-revenue",
"name": "Revenue - Software Licenses",
"code": "4001"
},
"description": "Credit for software license overpayment",
"amount": "750.00",
"department": {
"id": "dept-uuid-sales",
"name": "Sales Department"
},
"product": {
"id": "product-uuid-license",
"name": "Enterprise License"
}
}
],
"applied_payments": [],
"tags": [
"overpayment",
"software-license"
],
"contract": null,
"created_at": "2024-03-15T10:30:00Z",
"updated_at": "2024-03-16T14:22:00Z"
}Path Parameters
Body
Show child attributes
Show child attributes
Revenue contract to link this credit memo to at creation.
credit_memo- Credit Memooverpayment- Overpayment
credit_memo, overpayment 120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
open, partially_used, used, voided 3-100000000000000 < x < 100000000000000-100000000000000 < x < 100000000000000When true, no tax is calculated through, and no transaction is created in, the entity's tax connection for this credit memo. Set at creation; cannot be changed.
250250Sum of all line item amounts
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
-1000000000000000000 < x < 1000000000000000000-2147483648 <= x <= 2147483647Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Calculate amount remaining from database fields
Combines account number and name in the format "number - name"
Show child attributes
Show child attributes
ID of the negation transaction in Anrok for this credit memo
Revenue contract to link this credit memo to at creation.
credit_memo- Credit Memooverpayment- Overpayment
credit_memo, overpayment 120open- Openpartially_used- Partially Usedused- Usedvoided- Voided
open, partially_used, used, voided 3-100000000000000 < x < 100000000000000-100000000000000 < x < 100000000000000When true, no tax is calculated through, and no transaction is created in, the entity's tax connection for this credit memo. Set at creation; cannot be changed.
250250Sum of all line item amounts
-1000000000000000000 < x < 1000000000000000000Sum of all non-voided payment amounts
-1000000000000000000 < x < 1000000000000000000-2147483648 <= x <= 2147483647